Summary: Unobtrusive window manager
Name: metacity
Version: 3.12.0
Release: %mkrel 2
URL: http://download.gnome.org/sources/metacity/
Source0: http://download.gnome.org/sources/metacity/3.12/metacity-%{version}.tar.xz
Patch4: stop-spamming-xsession-errors.patch
Patch16: Dont-focus-ancestor-window-on-a-different-workspac.patch
Patch24: metacity-2.28-empty-keybindings.patch

License: GPLv2+
Group: Graphical desktop/Other
Requires: zenity
Requires: %{_lib}startup-notification-1_0
Requires: gsettings-desktop-schemas
#------------------------------------------------------
BuildRequires: gsettings-desktop-schemas-devel
BuildRequires: intltool
BuildRequires: itstool
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}canberra-devel 
BuildRequires: %{_lib}canberra-gtk-devel 
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel 
BuildRequires: %{_lib}glib2.0-devel
BuildRequires: %{_lib}gtk+3.0-devel 
BuildRequires: %{_lib}gtop2.0-devel 
BuildRequires: %{_lib}ice-devel 
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}sm-devel 
BuildRequires: %{_lib}startup-notification-1-devel
BuildRequires: %{_lib}x11-devel 
BuildRequires: %{_lib}xcomposite-devel
BuildRequires: %{_lib}xcursor-devel 
BuildRequires: %{_lib}xdamage-devel
BuildRequires: %{_lib}xext-devel 
BuildRequires: %{_lib}xfixes-devel 
BuildRequires: %{_lib}xinerama-devel 
BuildRequires: %{_lib}xrandr2-devel
BuildRequires: %{_lib}xrender-devel 
BuildRequires: libxcb-devel 
BuildRequires: x11-proto-devel
#------------------------------------------------
Provides: firstboot(windowmanager) = metacity

%description
Metacity is a window manager that integrates nicely with the GNOME desktop.
It strives to be quiet, small, stable, get on with its job, and stay out of
your attention.

%package devel
Group: Development/Libraries
Summary: Development files for metacity
Requires: %{name} = %{version}-%{release}

%description devel
This package contains the files needed for compiling programs using
the metacity-private library. Note that you are not supposed to write
programs using the metacity-private library, since it is a private
API. This package exists purely for technical reasons.

%prep
%setup -q
%patch4 -p1 -b .stop-spamming-xsession-errors
%patch16 -p1 -b .focus-different-workspace
%patch24 -p1 -b .empty-keybindings

# force regeneration
rm -f src/org.gnome.metacity.gschema.valid

%build
CPPFLAGS="$CPPFLAGS -I$RPM_BUILD_ROOT%{_includedir}"
export CPPFLAGS

# Always rerun configure for now
rm -f configure
(if ! test -x configure; then autoreconf -i -f; fi;
 %configure --disable-static --disable-schemas-compile  --disable-themes-documentation)

SHOULD_HAVE_DEFINED="HAVE_SM HAVE_XINERAMA HAVE_XFREE_XINERAMA HAVE_SHAPE HAVE_RANDR HAVE_STARTUP_NOTIFICATION"

for I in $SHOULD_HAVE_DEFINED; do
  if ! grep -q "define $I" config.h; then
    echo "$I was not defined in config.h"
    grep "$I" config.h
    exit 1
  else
    echo "$I was defined as it should have been"
    grep "$I" config.h
  fi
done

make CPPFLAGS="$CPPFLAGS" LIBS="$LIBS" %{?_smp_mflags}

%install
rm -rf %buildroot
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

#dont need
rm -rf $RPM_BUILD_ROOT/usr/share/help

%find_lang %{name} --all-name --with-gnome

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%postun
/sbin/ldconfig
if [ $1 -eq 0 ]; then
  glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%files -f %{name}.lang
%doc README AUTHORS COPYING NEWS HACKING doc/theme-format.txt doc/metacity-theme.dtd rationales.txt
%{_bindir}/metacity
%{_bindir}/metacity-message
%{_datadir}/glib-2.0/schemas/*
%{_datadir}/GConf/gsettings/metacity-schemas.convert
%{_datadir}/metacity
%{_datadir}/themes/*
%{_datadir}/gnome-control-center/keybindings/*
%{_libdir}/lib*.so.*
%{_datadir}/applications/metacity.desktop
%{_datadir}/gnome/wm-properties/metacity-wm.desktop

%files devel
%defattr(-,root,root,-)
%{_bindir}/metacity-theme-viewer
%{_bindir}/metacity-window-demo
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_mandir}

%changelog
* Thu Oct 08 2015 bb <bb> 3.12.0-2pclos2015
- rebuild

* Sat May 08 2015 bb <bb> 3.12.0-1pclos2015
- update
